Package de.willuhn.jameica.hbci.gui.controller

# Class SammelLastschriftControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractSammelTransferControl<SammelLastschrift>
de.willuhn.jameica.hbci.gui.controller.SammelLastschriftControl

public class SammelLastschriftControl extends AbstractSammelTransferControl<SammelLastschrift>
Implementierung des Controllers fuer den Dialog "Liste der Sammellastschriften".

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`SammelLastschriftControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.parts.TablePart`
`getBuchungen()`
Liefert eine Liste mit den in diesem Sammel-Auftrag enthaltenen Buchungen.
`SammelLastschriftList`
`getListe()`
Liefert eine Tabelle mit den existierenden Sammel-Auftraegen.
`SammelLastschrift`
`getTransfer()`
Liefert den aktuellen Sammel-Auftrag.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractSammelTransferControl

`getKontoAuswahl, getName, getReminderInterval, getSumme, getTermin, handleStore`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SammelLastschriftControl

public SammelLastschriftControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getTransfer

public SammelLastschrift getTransfer() throws RemoteException
Description copied from class: `AbstractSammelTransferControl`
Liefert den aktuellen Sammel-Auftrag.

Specified by:
  `getTransfer` in class `AbstractSammelTransferControl<SammelLastschrift>`
Returns:
  Sammel-Auftrag.
Throws:
  `RemoteException`
See Also:
  - `AbstractSammelTransferControl.getTransfer()`

### getListe

public SammelLastschriftList getListe() throws RemoteException
Description copied from class: `AbstractSammelTransferControl`
Liefert eine Tabelle mit den existierenden Sammel-Auftraegen.

Specified by:
  `getListe` in class `AbstractSammelTransferControl<SammelLastschrift>`
Returns:
  Liste der Sammellastschriften.
Throws:
  `RemoteException`
See Also:
  - `AbstractSammelTransferControl.getListe()`

### getBuchungen

public de.willuhn.jameica.gui.parts.TablePart getBuchungen() throws RemoteException
Description copied from class: `AbstractSammelTransferControl`
Liefert eine Liste mit den in diesem Sammel-Auftrag enthaltenen Buchungen.

Specified by:
  `getBuchungen` in class `AbstractSammelTransferControl<SammelLastschrift>`
Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`
See Also:
  - `AbstractSammelTransferControl.getBuchungen()`